For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Overview
    • Introduction
    • Authentication
  • Accounts
      • GETList accounts
      • GETGet account
      • GETGet account contact
  • Statements
  • Customers
  • Transactions
LogoLogo
Contact usLogin
AccountsAccounts

Get account

GET
/accounts/:id
GET
/fdx/v6/accounts/:id
$curl https://api.givechariot.com/fdx/v6/accounts/id \
> -H "Authorization: Bearer <token>"
1{
2 "accountCategory": "DEPOSIT_ACCOUNT",
3 "accountId": "string",
4 "accountNumber": "string",
5 "accountNumberDisplay": "string",
6 "accountOpenDate": "2023-01-15",
7 "accountType": "CHECKING",
8 "availableBalance": 1.1,
9 "balanceType": "ASSET",
10 "currency": {
11 "currencyCode": "USD"
12 },
13 "currentBalance": 1.1,
14 "productName": "string",
15 "routingTransitNumber": "string",
16 "status": "OPEN",
17 "accountCloseDate": "2023-01-15",
18 "balanceAsOf": "2024-01-15T09:30:00Z",
19 "description": "string",
20 "interestRate": 1.1,
21 "lineOfBusiness": "string",
22 "nickName": "string",
23 "nickname": "string",
24 "transferIn": true,
25 "transferOut": true
26}
Get account balances, liabilities, and other detailed account information for a single deposit account.
Was this page helpful?
Previous

Get account contact

Next
Built with

Authentication

AuthorizationBearer

OAuth 2.0 Bearer token. A client may hold both scopes, but each FDX authorization must contain exactly one — they are mutually exclusive per authorization. An authorization containing both will be rejected. See the Authentication page for token exchange details.

Path parameters

idstringRequiredformat: "uuid"
Unique identifier for the account

Response

The deposit account details including balances
accountCategoryenum
Category of account
Allowed values:
accountIdstring
Unique identifier for the account
accountNumberstring
Full account number
accountNumberDisplaystring
Masked or truncated account number for display
accountOpenDatestringformat: "date"

Date the account was opened (YYYY-MM-DD)

accountTypeenum
Type of deposit account
Allowed values:
availableBalancedouble
Available balance of the account
balanceTypeenum
Type of balance
Allowed values:
currencyobject
Currency information.
currentBalancedouble
Current balance of the account
productNamestring
Product name for the account
routingTransitNumberstring

Routing transit number (RTN) for the account

statusenum
Status of the account
accountCloseDatestringformat: "date"

Date the account was closed (YYYY-MM-DD). Present only for closed accounts.

balanceAsOfstringformat: "date-time"
Timestamp of when the balance was calculated
descriptionstring
Description of the account
interestRatedouble
Interest rate for the account
lineOfBusinessstring
Line of business for the account
nickNamestring

User-assigned nickname for the account

nicknamestring
Alternate nickname field
transferInboolean
Whether the account supports incoming transfers
transferOutboolean
Whether the account supports outgoing transfers

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error